#124 Error in running install.pl

closed-wont-fix
nobody
None
5
2012-01-17
2012-01-17
aradhana
No

D:\softwares\codestriker-1.9.10\codestriker-1.9.10\bin>install.pl
String found where operator expected at D:\softwares\codestriker-1.9.10\codestri
ker-1.9.10/lib/Codestriker.pm line 569, near "croak "Failed to execute $system_l
ine: $!\n""
(Do you need to predeclare croak?)
syntax error at D:\softwares\codestriker-1.9.10\codestriker-1.9.10/lib/Codestrik
er.pm line 569, near "croak "Failed to execute $system_line: $!\n""
Compilation failed in require at D:\softwares\codestriker-1.9.10\codestriker-1.9
.10/lib/Codestriker/DB/DBI.pm line 14.
BEGIN failed--compilation aborted at D:\softwares\codestriker-1.9.10\codestriker
-1.9.10/lib/Codestriker/DB/DBI.pm line 14.
Compilation failed in require at D:\softwares\codestriker-1.9.10\codestriker-1.9
.10/lib/Codestriker/Model/User.pm line 14.
BEGIN failed--compilation aborted at D:\softwares\codestriker-1.9.10\codestriker
-1.9.10/lib/Codestriker/Model/User.pm line 14.
Compilation failed in require at D:\softwares\codestriker-1.9.10\codestriker-1.9
.10\bin\install.pl line 58.
BEGIN failed--compilation aborted at D:\softwares\codestriker-1.9.10\codestriker
-1.9.10\bin\install.pl line 58.

Discussion

  • David Sitsky
    David Sitsky
    2012-01-17

    Codestriker is out of date with the latest Perls, but if you use Perl 5.8 or 5.10 it will work fine.

     
  • David Sitsky
    David Sitsky
    2012-01-17

    • status: open --> closed-wont-fix